#

require './pslg'

ll=Node.new(-10,-10)
lr=Node.new( 10,-10)
ur=Node.new( 10,10)
ul=Node.new(-10,10)

l = 1.0
h = 0.035

x0 = 0
z0 = 0

le=Node.new(x0+0,z0+0)
up=Node.new(x0+l/2,z0+h)
te=Node.new(x0+l,z0+0)
dn=Node.new(x0+l/2,z0-h)

floor = Segment.new(3,ll,lr)
right = Segment.new(4,lr,ur)
top = Segment.new(5,ur,ul)
left = Segment.new(6,ul,ll)

msh=Msh.new(0.01)
msh << floor
msh << right
msh << top
msh << left

msh << Segment.new(7,le,up)
msh << Segment.new(8,up,te)
msh << Segment.new(9,te,dn)
msh << Segment.new(10,dn,le)

msh.export('diamond_g.msh')

