#! /bin/bash -xue

trap "cat run_tutorial.out" EXIT

rm -f run_tutorial.out
touch run_tutorial.out

echo "to recreate inital grid, run"              >> run_tutorial.out
echo "$ ./diamond01.sh"                          >> run_tutorial.out

echo "create rubber.data with drag output"       >> run_tutorial.out
f3d function cd                                  >> run_tutorial.out

echo "typically to run adaptation"               >> run_tutorial.out
echo "in background execute,"                    >> run_tutorial.out
echo "$ f3d start"                               >> run_tutorial.out
echo "this tutorial uses a the blocking,"        >> run_tutorial.out
f3d iterate                                      >> run_tutorial.out

echo "iterative convergence (requires gnuplot)"  >> run_tutorial.out
f3d hist                                         >> run_tutorial.out

echo "visualize grids"                           >> run_tutorial.out
./boundary2grid.sh                               >> run_tutorial.out

trap - EXIT
